net.sf.jasperreports.charts

## Interface JRTimePeriodDataset

- All Superinterfaces:
    java.lang.Cloneable, JRChartDataset, JRCloneable, JRElementDataset
  All Known Implementing Classes:
    JRBaseTimePeriodDataset, JRDesignTimePeriodDataset, JRFillTimePeriodDataset

      public interface JRTimePeriodDataset
      extends JRChartDataset

  The Time Period dataset is very much like the Time Series dataset in that it wraps series consisting of (time period, numeric value) pairs. The only difference is that in this case the time periods are not chosen from a predefined list but can be arbitrary time intervals. This kind of dataset is for use only with XY Bar charts.
  Version:
    $Id: JRTimePeriodDataset.java 6995 2014-04-01 11:26:53Z shertage $
  Author:
    Flavius Sana (flavius_sana@users.sourceforge.net)
  See Also:
    `JRTimeSeriesDataset`

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRTimePeriodSeries[]` | `getSeries()`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `getDatasetType, validate`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `collectExpressions, getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getSeries

          JRTimePeriodSeries[] getSeries()

      Returns:
        an array of `JRTimePeriodSeries` objects representing the series for the Time Period chart
      See Also:
        `JRTimePeriodSeries`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com